# ======================================================================
#  $Id: GNUmakefile,v 1.3 2003/10/06 17:02:36 goiwai Exp $
#  $Name: CLDAQ-1-11-00 $
#  $Log: GNUmakefile,v $
#  Revision 1.3  2003/10/06 17:02:36  goiwai
#  *** empty log message ***
#
#  Revision 1.2  2003/07/30 16:16:52  goiwai
#  ファイルにコミットログをつけることにしました.
#
# ======================================================================
MAKEFLAGS = --no-print-directory
SUBDIRS := run
SUBDIRS += commands
SUBDIRS += system
SUBDIRS += event
SUBDIRS += analysis
SUBDIRS += interfaces
SUBDIRS += persistency
SUBDIRS += datarecord
SUBDIRS += readout
SUBDIRS += modules
SUBDIRS += geometry

ifndef CLDAQ_INSTALL
  CLDAQ_INSTALL = ..
endif

include $(CLDAQ_INSTALL)/config/architecture.gmk

.PHONY: all clean

all:
	@for dir in $(SUBDIRS); do (cd $$dir && $(MAKE)); done

clean:
	@$(ECHO) Cleaning up ...
	@for dir in $(SUBDIRS); do (cd $$dir && rm -f *~ core); done
	@rm -rf $(CLDAQ_TMP_DIR)
	@rm -rf $(CLDAQ_LIB_DIR)
	@rm -rf $(CLDAQ_BIN_DIR)
